import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range(['#c11d1d', '#eae600']);

const radiusScale = scaleOrdinal()
	.domain(['apple', 'lemon'])
	.range([50, 30]);

export const fruitBowl = (selection, props) => {
  const {fruits, height} = props;
	const circles = selection.selectAll('circle')
  	.data(fruits, d => d.id);
  circles
	.enter().append('circle')
  	.attr('cx', (d,i) => 100 + i * 180)
    .attr('cy', height / 2)
  .merge(circles)
    .attr('fill', d => colorScale(d.type))
  	.attr('r',  d => radiusScale(d.type));
   circles
    .exit().remove();
}